# CLLinkProgramCallback (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class CLLinkProgramCallback

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opencl.CLLinkProgramCallback

All Implemented Interfaces:
  PointerWrapper

    public abstract class CLLinkProgramCallback

extends PointerWrapperAbstract

Instances of this class can be used to receive OpenCL program linkage notifications. A single CLLinkProgramCallback instance should only be used with programs created in the same CLContext.

Author:
  Spasi

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Constructor Summary
`CLLinkProgramCallback()`

Method Summary
`protected abstract void` `handleMessage(CLProgram program)` The callback method.

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, equals, getPointer, hashCode, isValid, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CLLinkProgramCallback

    public CLLinkProgramCallback()

Method Detail

### handleMessage

    protected abstract void handleMessage(CLProgram program)

  The callback method.

  Parameters:
    `program` - the CLProgram object affected

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.